pinkbyte    14/04/09 10:19:59

  Modified:             ChangeLog p3nfs-5.19-r2.ebuild
  Log:
  Fix building on systems without serial interfaces, wrt bug #314971, fix minor 
QA issues
  
  (Portage version: 2.2.8-r1/cvs/Linux x86_64, signed Manifest commit with key 
0x1F357D42)

Revision  Changes    Path
1.21                 app-pda/p3nfs/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-pda/p3nfs/ChangeLog?rev=1.21&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-pda/p3nfs/ChangeLog?rev=1.21&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-pda/p3nfs/ChangeLog?r1=1.20&r2=1.21

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-pda/p3nfs/ChangeLog,v
retrieving revision 1.20
retrieving revision 1.21
diff -u -r1.20 -r1.21
--- ChangeLog   12 Dec 2009 10:09:02 -0000      1.20
+++ ChangeLog   9 Apr 2014 10:19:59 -0000       1.21
@@ -1,6 +1,11 @@
 # ChangeLog for app-pda/p3nfs
-# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-pda/p3nfs/ChangeLog,v 1.20 2009/12/12 
10:09:02 mrness Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/app-pda/p3nfs/ChangeLog,v 1.21 2014/04/09 
10:19:59 pinkbyte Exp $
+
+  09 Apr 2014; Sergey Popov <[email protected]> p3nfs-5.19-r2.ebuild,
+  +files/p3nfs-5.19-set-default-tty.patch:
+  Fix building on systems without serial interfaces, wrt bug #314971, fix minor
+  QA issues
 
 *p3nfs-5.19-r2 (12 Dec 2009)
 



1.2                  app-pda/p3nfs/p3nfs-5.19-r2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-pda/p3nfs/p3nfs-5.19-r2.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-pda/p3nfs/p3nfs-5.19-r2.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-pda/p3nfs/p3nfs-5.19-r2.ebuild?r1=1.1&r2=1.2

Index: p3nfs-5.19-r2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-pda/p3nfs/p3nfs-5.19-r2.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- p3nfs-5.19-r2.ebuild        12 Dec 2009 10:09:02 -0000      1.1
+++ p3nfs-5.19-r2.ebuild        9 Apr 2014 10:19:59 -0000       1.2
@@ -1,6 +1,6 @@
-# Copyright 1999-2009 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-pda/p3nfs/p3nfs-5.19-r2.ebuild,v 1.1 
2009/12/12 10:09:02 mrness Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-pda/p3nfs/p3nfs-5.19-r2.ebuild,v 1.2 
2014/04/09 10:19:59 pinkbyte Exp $
 
 EAPI="2"
 
@@ -19,12 +19,14 @@
 RDEPEND="|| ( net-nds/portmap net-nds/rpcbind )"
 
 src_prepare() {
-       sed -i "s:.*cd client/epoc32.*:#&:" "${S}/Makefile.in"
+       sed -i "s:.*cd client/epoc32.*:#&:" "${S}/Makefile.in" || die
+       # bug #314971
+       epatch "${FILESDIR}/${P}-set-default-tty.patch"
 }
 
 src_configure() {
        append-flags -fno-strict-aliasing # fix QA issues
-       sed -i "s:\$(LDFLAGS):${LDFLAGS}:" "${S}/server/Makefile.in"
+       sed -i "s:\$(LDFLAGS):${LDFLAGS}:" "${S}/server/Makefile.in" || die
 
        econf || die "econf failed"
 }




Reply via email to